List subscriptions - V1
GET /order/v1/banking/subscriptions
List and filter subscriptions with cursor-based pagination.
NOTE: Please, to authenticate use the scope: “api://app-order-prd”
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Query Parameters
Section titled “Query Parameters ”Maximum number of items returned in the current page (default 20, max 5000)
Direction of the sort (default: desc)
Cursor used for pagination. Omit this field in the first request. For subsequent requests, set it to the nextCursor value returned in the previous response.
Filter by subscription recurrence start date (YYYY-MM-DD)
Example
2025-01-01Filter by subscription recurrence end date (YYYY-MM-DD)
Example
2025-12-31The status of the subscriptions
Example
ACCEPTEDThe external id of the partner
The account id of the receiver
Responses
Section titled “ Responses ”The resource was returned successfully
object
The maximum number of records returned in the current page. Corresponds to the limit value provided in the request.
Example
20Defines the sorting direction applied to the results. Allowed values: “asc” — ascending order, “desc” — descending order (default)
Example
descA cursor value representing the timestamp of the last item returned in the current page. This value must be provided as the cursor parameter in the next request to continue retrieving results.
Example
2025-01-01T10:00:00ZIndicates whether additional pages of data are available.
Example
trueThe array of subscriptions
object
The subscription ID
Example
37e036db-42dd-4a0f-ba84-5f282f0f9275The provider ID of the subscription on bacen
Example
RR33630661202512093d0403bc2a6The type of the QR code that was generated
Example
AUTHORIZATION_QRCODEThe status of the subscription
Example
ACCEPTEDWhether charges are allowed after the due date
Example
trueWhether the due date should be automatically adjusted to the next business day when it falls on a non-business day
Example
trueThe frequency of the charges
Example
MONTHLYThe start date of the recurrence payment in ISO 8601 format (YYYY-MM-DD)
Example
2025-01-01The end date of the recurrence payment in ISO 8601 format (YYYY-MM-DD)
Example
2025-12-31Fixed amount to be charged on each cycle
object
The currency field.
Example
BRLThe value field.
Example
10.95Minimum value the payer may configure as the authorization maximum amount
object
The currency field.
Example
BRLThe value field.
Example
10.95The debtor information object
object
The debtor document
object
Document type
Example
CPFDocument number
Example
12345678910Example
{ "type": "CPF", "number": "12345678901"}The debtor name
Example
John DoeThe receiver information object
object
The receiver account ID
Example
aa592d24-3f06-4957-ac98-8094ebe059d7The full name of the receiver
Example
John Doe OrganizationThe receiver document
object
Document type
Example
CPFDocument number
Example
12345678910Example
{ "type": "CNPJ", "number": "33023355667842"}The payer information object (available after subscription is accepted)
object
The payer name
Example
John DoeThe payer document
object
Document type
Example
CPFDocument number
Example
12345678910Example
{ "type": "CPF", "number": "12345678901"}The payer bank data
object
The payer bank ISPB
Example
12345678The payer bank account number
Example
00012345The payer bank branch number
Example
0001The description of the subscription
Example
Monthly subscription for premium serviceThe URL that will receive updates about the status of the subscription
Example
https://partner.example.com/webhooks/subscriptionThe unique code on the partner system
Example
partner-idThe date and time when the resource was created, in ISO 8601 format (RFC 3339), UTC
Example
2025-01-01T10:00:00ZThe date and time when the resource was last updated, in ISO 8601 format (RFC 3339), UTC
Example
2025-01-15T14:30:00Zobject
Example
INVALID_REQUESTobject
Example
[ { "field": "field_name", "issue": "INVALID", "description": "Field is invalid" }]Unauthorized Request
object
Example
UNAUTHORIZEDExample
Unauthorized Requestobject
Example
[]object
Example
FORBIDDEN_ERRORobject
Example
[]object
Example
INTERNAL_ERRORobject
Example
[]